version: "3.7"

services:
  ft:
    
  app:
    environment:
      - BUILD_TAG=1.0.${BUILD_NUMBER}
    build:
      context: .
      dockerfile: ./docker/build/Dockerfile
    image: felixgrayson/volunteer_management:${BUILD_TAG}
    ports:
    - "8080:8080"
    volumes:
    - ./settings/appsettings.json:/workdir/settings/appsettings.json
    - ./secrets/secrets.json:/workdir/secrets/secrets.json
    networks:
      - volunteer_network
networks:
  volunteer_network:
    driver: bridge
